<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.15.3.1
Name: Estimated Date of Delivery
Description: This clinical statement represents the anticipated date when a woman will give birth.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.15.3.1-2013-01-31T000000-closed">
   <title>Estimated Date of Delivery</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/*[not(self::cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1'])]"
         id="d110e2739-true-d59568e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2013-01-31T000000.html"
              test="not(.)">(EstimatedDateofDelivery)/d110e2739-true-d59568e0: '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d110e2739-true-d59568e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']/*[not(self::cda:templateId[@root='2.16.840.1.113883.10.20.15.3.1']|self::cda:code[(@code='11778-8' and @codeSystem='2.16.840.1.113883.6.1')]|self::cda:statusCode[@code='completed']|self::cda:value)]"
         id="d59559e10-true-d59606e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2013-01-31T000000.html"
              test="not(.)">(EstimatedDateofDelivery)/d59559e10-true-d59606e0: '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d59559e10-true-d59606e0)</assert>
   </rule>
</pattern>
